<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">

  <title>Ajax Demo</title>
  <style th:replace="fragments/style :: style"></style>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>
<body>
<div class="container">
  <table class="table">
    <thead>
    <tr>
      <th scope="col" >Title</th>
      <th scope="col" >Description</th>
      <th >Actions</th>
    </tr>
    </thead>
    <tbody>

    </tbody>
  </table>

  <script>
    $.ajax({
      url: "http://localhost:8081/api/v1/articles/",
      method: "GET",
      success: function(response) { console.log(response['message']);
        var content = "";
        response['data'].forEach(function (a){
          content+=`<tr><td>`+a.title+`</td><td>`+a.description+
              `</td><td><a class="btn btn-outline-success" >View</a></td><tr>`;
        });
        $("table").append(content);
      },
      error: function(error) { console.error(error) }
    })
  </script>
</div>
</body>
</html>